Parameter Class Reference

Base class for model arguments. More...

`#include <ql/models/parameter.hpp>`

Inheritance diagram for Parameter:
[legend]

## Classes

class | Impl
| Base class for model parameter implementation. More...

## Public Member Functions

const Array & | params () const
void | setParam (Size i, Real x)
bool | testParams (const Array &params) const
Size | size () const
Real | operator() (Time t) const
const ext::shared_ptr< Impl > & | implementation () const
const Constraint & | constraint () const

## Protected Member Functions

| Parameter (Size size, const ext::shared_ptr< Impl > &impl, const Constraint &constraint)

## Protected Attributes

ext::shared_ptr< Impl > | impl_
Array | params_
Constraint | constraint_

## Detailed Description

Base class for model arguments.